commit:     594da07af9248c8220837e9d3e6eee242da89c59
Author:     Bob Dröge <b.e.droge <AT> rug <DOT> nl>
AuthorDate: Tue Aug 24 14:30:29 2021 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Tue Aug 31 14:08:55 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=594da07a

sys-cluster/rdma-core: Version bump (v36.0)

Package-Manager: Portage-3.0.22, Repoman-3.0.3
Signed-off-by: Bob Dröge <b.e.droge <AT> rug.nl>
Closes: https://github.com/gentoo/gentoo/pull/22092
Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>

 sys-cluster/rdma-core/Manifest              |  1 +
 sys-cluster/rdma-core/rdma-core-36.0.ebuild | 99 +++++++++++++++++++++++++++++
 2 files changed, 100 insertions(+)

diff --git a/sys-cluster/rdma-core/Manifest b/sys-cluster/rdma-core/Manifest
index 2355b453c17..2ab8d411f41 100644
--- a/sys-cluster/rdma-core/Manifest
+++ b/sys-cluster/rdma-core/Manifest
@@ -3,3 +3,4 @@ DIST rdma-core-31.0.tar.gz 1501133 BLAKE2B 
5e67d68ab8eb4019ffb18e7d1995caa8e84a2
 DIST rdma-core-32.0.tar.gz 1525119 BLAKE2B 
8f754c04be3f13a90a162fde09f96b26d66534aa7284c12e6c0765390f00412cf34052cc1c313f01df8b8bc49cad459a72350cea6e08316387cd6016fd7cb019
 SHA512 
fbc458e47801b8869fa0a6a045c2ecf10b9021f8fe115cedad8601a4672f116f393a353dcac238ad297935950a09be4a6faa45e373ea6248711d077a57737c16
 DIST rdma-core-33.0.tar.gz 1549162 BLAKE2B 
7b7c8711eaeb9e66159962bcf0f70644cbb4af96df70f3c9ee6e9d9c8c3e4de5d3248666a0b3fe490537f91cc18c5d09448c72b98c45585e0645594deedee071
 SHA512 
64ace358c6336519131aea858012e22791bf2ab95f06d655a87835361b5822f5ce0c29db8ddb83121a62f4606418d5fa11358e7ad84da4f93f6233fb3947e52c
 DIST rdma-core-34.0.tar.gz 1571236 BLAKE2B 
1c6799ba742926ef99f8fa7a0e20d7b910e0f3157e5de4350f7068d7d6f4fa79b8fa6be631e9675517bd12b91083c5e92157a1c097691ead0888823702c3583a
 SHA512 
33ce5fbf0d468a31f7ac0e513cf107e3d730f5db279368aa986536f70d684f40e7bacdf965d18b77922272b0420a6cd973c0b73371758107d8f7751be5851ee7
+DIST rdma-core-36.0.tar.gz 1649117 BLAKE2B 
e3d58d8584f440cff437dedba1ccf34c2b62ecc63b5a039f71fc7666aed8e277ffbba2bbb4f8eda428f2f5f5890a5939163c6ebf6d420d3b3b0037a721d45e42
 SHA512 
89ad37c381ec7b5f18db01dbcbe65351b40fc1d0bc76e2088d663c6c560bf5f119841930ecf1042c997f5bf644683b906748c38d85f1eb561aadda060baa2368

diff --git a/sys-cluster/rdma-core/rdma-core-36.0.ebuild 
b/sys-cluster/rdma-core/rdma-core-36.0.ebuild
new file mode 100644
index 00000000000..0dd9257112e
--- /dev/null
+++ b/sys-cluster/rdma-core/rdma-core-36.0.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..10} )
+
+inherit cmake python-single-r1 udev systemd
+
+DESCRIPTION="Userspace components for the Linux Kernel's drivers/infiniband 
subsystem"
+HOMEPAGE="https://github.com/linux-rdma/rdma-core";
+
+if [[ ${PV} == "9999" ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/linux-rdma/rdma-core";
+else
+       SRC_URI="https://github.com/linux-rdma/rdma-core/archive/v${PV}.tar.gz 
-> ${P}.tar.gz"
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86"
+fi
+
+LICENSE="|| ( GPL-2 ( CC0-1.0 MIT BSD BSD-with-attribution ) )"
+SLOT="0"
+IUSE="neigh python static-libs systemd valgrind"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+COMMON_DEPEND="
+       virtual/libudev:=
+       neigh? ( dev-libs/libnl:3 )
+       systemd? ( sys-apps/systemd:= )
+       valgrind? ( dev-util/valgrind )
+       python? ( ${PYTHON_DEPS} )"
+
+DEPEND="${COMMON_DEPEND}
+       python? (
+               $(python_gen_cond_dep '
+                       dev-python/cython[${PYTHON_MULTI_USEDEP}]
+               ')
+       )"
+
+RDEPEND="${COMMON_DEPEND}
+       !sys-fabric/infiniband-diags
+       !sys-fabric/libibverbs
+       !sys-fabric/librdmacm
+       !sys-fabric/libibumad
+       !sys-fabric/ibacm
+       !sys-fabric/libibmad
+       !sys-fabric/srptools
+       !sys-fabric/infinipath-psm
+       !sys-fabric/libcxgb3
+       !sys-fabric/libcxgb4
+       !sys-fabric/libmthca
+       !sys-fabric/libmlx4
+       !sys-fabric/libmlx5
+       !sys-fabric/libocrdma
+       !sys-fabric/libnes"
+
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=( "${FILESDIR}"/optional_pandoc.patch )
+
+pkg_setup() {
+       use python && python-single-r1_pkg_setup
+
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DCMAKE_INSTALL_SYSCONFDIR="${EPREFIX}"/etc
+               -DCMAKE_INSTALL_RUNDIR=/run
+               -DCMAKE_INSTALL_SHAREDSTATEDIR=/var/lib
+               
-DCMAKE_INSTALL_UDEV_RULESDIR="${EPREFIX}"/"$(get_udevdir)"/rules.d
+               
-DCMAKE_INSTALL_SYSTEMD_SERVICEDIR="$(systemd_get_systemunitdir)"
+               -DCMAKE_DISABLE_FIND_PACKAGE_pandoc=yes
+               $(ver_test -ge 25 && echo 
-DCMAKE_DISABLE_FIND_PACKAGE_rst2man=yes)
+               -DCMAKE_DISABLE_FIND_PACKAGE_Systemd="$(usex systemd no yes)"
+               -DENABLE_VALGRIND="$(usex valgrind)"
+               -DENABLE_RESOLVE_NEIGH="$(usex neigh)"
+               -DENABLE_STATIC="$(usex static-libs)"
+               -DNO_PYVERBS="$(usex python OFF ON)"
+       )
+
+       cmake_src_configure
+}
+
+src_install() {
+       cmake_src_install
+
+       udev_dorules "${ED}"/etc/udev/rules.d/70-persistent-ipoib.rules
+       rm -r "${ED}"/etc/{udev,init.d} || die
+
+       if use neigh; then
+               newinitd "${FILESDIR}"/ibacm.init ibacm
+               newinitd "${FILESDIR}"/iwpmd.init iwpmd
+       fi
+
+       newinitd "${FILESDIR}"/srpd.init srpd
+
+       use python && python_optimize
+}

Reply via email to